sbservices.h File Reference

## Description

Manage SpringBoard icons and retrieve icon images.

## Macros

#define | SBSERVICES_SERVICE_NAME "com.apple.springboardservices"
| Service identifier passed to lockdownd_start_service() to start the springboardservices service.

## Typedefs

typedef sbservices_client_private * | sbservices_client_t
| The client handle.

## Enumerations

enum | sbservices_error_t { SBSERVICES_E_SUCCESS = 0 , SBSERVICES_E_INVALID_ARG = -1 , SBSERVICES_E_PLIST_ERROR = -2 , SBSERVICES_E_CONN_FAILED = -3 , SBSERVICES_E_UNKNOWN_ERROR = -256 }
| Error Codes.
enum | sbservices_interface_orientation_t { SBSERVICES_INTERFACE_ORIENTATION_UNKNOWN = 0 , SBSERVICES_INTERFACE_ORIENTATION_PORTRAIT = 1 , SBSERVICES_INTERFACE_ORIENTATION_PORTRAIT_UPSIDE_DOWN = 2 , SBSERVICES_INTERFACE_ORIENTATION_LANDSCAPE_RIGHT = 3 , SBSERVICES_INTERFACE_ORIENTATION_LANDSCAPE_LEFT = 4 }
| Orientation of the user interface on the device.

## Functions

LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_client_new (idevice_t device, lockdownd_service_descriptor_t service, sbservices_client_t *client)
| Connects to the springboardservices service on the specified device.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_client_start_service (idevice_t device, sbservices_client_t *client, const char *label)
| Starts a new sbservices service on the specified device and connects to it.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_client_free (sbservices_client_t client)
| Disconnects an sbservices client from the device and frees up the sbservices client data.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_get_icon_state (sbservices_client_t client, plist_t *state, const char *format_version)
| Gets the icon state of the connected device.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_set_icon_state (sbservices_client_t client, plist_t newstate)
| Sets the icon state of the connected device.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_get_icon_pngdata (sbservices_client_t client, const char *bundleId, char **pngdata, uint64_t *pngsize)
| Get the icon of the specified app as PNG data.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_get_interface_orientation (sbservices_client_t client, sbservices_interface_orientation_t *interface_orientation)
| Gets the interface orientation of the device.
LIBIMOBILEDEVICE_API sbservices_error_t | sbservices_get_home_screen_wallpaper_pngdata (sbservices_client_t client, char **pngdata, uint64_t *pngsize)
| Get the home screen wallpaper as PNG data.